﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        private WindowsHelper helper;

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.helper = new WindowsHelper(this.unlockButton);

            this.lockButton.Click   += lockButton_Click;
            this.unlockButton.Click += unlockButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 화면 잠금 버튼 클릭시 처리하기 - lockButton_Click(sender, e)

        /// <summary>
        /// 화면 잠금 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void lockButton_Click(object sender, EventArgs e)
        {
            this.helper.LockScreen();
        }

        #endregion
        #region 잠금 취소 버튼 클릭시 처리하기 - unlockButton_Click(sender, e)

        /// <summary>
        /// 잠금 취소 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void unlockButton_Click(object sender, EventArgs e)
        {
            this.helper.UnlockScreen();
        }

        #endregion
    }
}